"use client";

import { usePathname } from "next/navigation";
import Sidebar from "@/components/Sidebar";

interface LayoutContentProps {
  children: React.ReactNode;
}

export default function LayoutContent({ children }: LayoutContentProps) {
  const pathname = usePathname();
  const showSidebar = pathname !== "/" && pathname !== "/login" && pathname !== "/coming-soon";
  return (
    <>
      {showSidebar && <Sidebar />}
      <main className={showSidebar ? "lg:ml-64 min-h-screen pb-4 lg:pb-0" : "min-h-screen pb-4 lg:pb-0"}>
        {children}
      </main>
    </>
  );
}
